> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://nemo-platform.docs.buildwithfern.com/nemo/platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://nemo-platform.docs.buildwithfern.com/nemo/platform/_mcp/server.

# Model Inference Proxy GET

GET https://host.com/apis/inference-gateway/v2/workspaces/{workspace}/model/{name}/-/{trailing_uri}

Proxy requests to model entity inference endpoints.

All inference requests must resolve to a `VirtualModel`. The platform's
provider reconciler auto-creates an implicit `autoprovisioned` VirtualModel
for every served model entity (named after the entity, with
`default_model_entity` set to the entity ref) so this is the typical case;
operators can also create custom VirtualModels for routing, plugin chains,
LoRA escape-hatches, etc. Requests for which no VirtualModel can be found
return `404`.

Reference: https://nemo-platform.docs.buildwithfern.com/nemo/platform/nemo/platform/documentation/reference/api-reference/inference-gateway/gateway-proxy-get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/inference-gateway/v2/workspaces/{workspace}/model/{name}/-/{trailing_uri}:
    get:
      operationId: gateway-proxy-get
      summary: Model Inference Proxy GET
      description: >-
        Proxy requests to model entity inference endpoints.


        All inference requests must resolve to a `VirtualModel`. The platform's

        provider reconciler auto-creates an implicit `autoprovisioned`
        VirtualModel

        for every served model entity (named after the entity, with

        `default_model_entity` set to the entity ref) so this is the typical
        case;

        operators can also create custom VirtualModels for routing, plugin
        chains,

        LoRA escape-hatches, etc. Requests for which no VirtualModel can be
        found

        return `404`.
      tags:
        - subpackage_inferenceGateway
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
        - name: name
          in: path
          required: true
          schema:
            type: string
        - name: trailing_uri
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Proxy GET request to model entity inference endpoint
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**SDK Code**

```python
import requests

url = "https://host.com/apis/inference-gateway/v2/workspaces/workspace/model/name/-/trailing_uri"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/inference-gateway/v2/workspaces/workspace/model/name/-/trailing_uri';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/inference-gateway/v2/workspaces/workspace/model/name/-/trailing_uri"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/inference-gateway/v2/workspaces/workspace/model/name/-/trailing_uri")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://host.com/apis/inference-gateway/v2/workspaces/workspace/model/name/-/trailing_uri")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://host.com/apis/inference-gateway/v2/workspaces/workspace/model/name/-/trailing_uri');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/inference-gateway/v2/workspaces/workspace/model/name/-/trailing_uri");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/inference-gateway/v2/workspaces/workspace/model/name/-/trailing_uri")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```